org.apache.ignite.cache.query

## Interface QueryMetrics

All Known Implementing Classes:
  GridCacheQueryMetricsAdapter

    public interface QueryMetrics

Cache query metrics used to obtain statistics on query. Metrics for particular query can be get via `CacheQuery.metrics()` method or aggregated metrics for all queries via `CacheQuery.metrics()`.

### Method Summary

Methods
`double` `averageTime()` Gets average execution time of query.
`int` `executions()` Gets total number execution of query.
`int` `fails()` Gets total number of times a query execution failed.
`long` `maximumTime()` Gets maximum execution time of query.
`long` `minimumTime()` Gets minimum execution time of query.

### Method Detail

#### minimumTime

    long minimumTime()

Gets minimum execution time of query.

Returns:
  Minimum execution time of query.

#### maximumTime

    long maximumTime()

Gets maximum execution time of query.

Returns:
  Maximum execution time of query.

#### averageTime

    double averageTime()

Gets average execution time of query.

Returns:
  Average execution time of query.

#### executions

    int executions()

Gets total number execution of query.

Returns:
  Number of executions.

#### fails

    int fails()

Gets total number of times a query execution failed.

Returns:
  Total number of times a query execution failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015